import com.baomidou.dynamic.datasource.annotation.DSTransactional;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.SdApplication;
import com.sd.business.controller.order.OrderController;
import com.sd.business.entity.order.dto.OrderSelectDto;
import com.sd.business.entity.order.po.OrderInfo;
import com.sd.business.entity.order.vo.OrderInfoVo;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

@RunWith(SpringRunner.class)
@SpringBootTest(classes = SdApplication.class, webEnvironment = SpringBootTest.WebEnvironment.DEFINED_PORT)
public class D1_OrderCompare {


    @Autowired
    private OrderController orderController;


    /**
     * 订单对比
     */
    @DSTransactional
    @Test
    public void test() {

        String a = "XD230901000205\n" +
                "XD230901000446\n" +
                "XD230901000406\n" +
                "XD230901000111\n" +
                "XD230831001407\n" +
                "XD230901000898\n" +
                "XD230901000755\n" +
                "XD230901001211\n" +
                "XD230901001140\n" +
                "XD230901001234\n" +
                "XD230902001795\n" +
                "XD230903000642\n" +
                "XD230902000928\n" +
                "XD230902002266\n" +
                "XD230902001717\n" +
                "XD230903000577\n" +
                "XD230903000755\n" +
                "XD230903000349\n" +
                "XD230903001169\n" +
                "XD230902001756\n" +
                "XD230830000702\n" +
                "XD230904000583\n" +
                "XD230901001291\n" +
                "XD230904000483\n" +
                "XD230904000592\n" +
                "XD230903002250\n" +
                "XD230903000992\n" +
                "XD230903002487\n" +
                "XD230901001346\n" +
                "XD230904001322\n" +
                "XD230905000637\n" +
                "XD230904002241\n" +
                "XD230904001352\n" +
                "XD230904001686\n" +
                "XD230904001675\n" +
                "XD230905000765\n" +
                "XD230904001637\n" +
                "XD230904001761\n" +
                "XD230904001917\n" +
                "XD230902002563\n" +
                "XD230904001308\n" +
                "XD230904001521\n" +
                "XD230904001639\n" +
                "XD230904001494\n" +
                "XD230904002136\n" +
                "XD230904001874\n" +
                "XD230905001281\n" +
                "XD230905000716\n" +
                "XD230905002201\n" +
                "XD230905001984\n" +
                "XD230905001938\n" +
                "XD230905001714\n" +
                "XD230905001340\n" +
                "XD230905001476\n" +
                "XD230906000523\n" +
                "XD230906000658\n" +
                "XD230905000821\n" +
                "XD230905002169\n" +
                "XD230905001271\n" +
                "XD230905000649\n" +
                "XD230906001349\n" +
                "XD230906000907";


        OrderSelectDto orderSelectDto = new OrderSelectDto();
        orderSelectDto.setPageNum(1);
        orderSelectDto.setPageSize(999999999);
        orderSelectDto.setDepartmentId(1689164611148677121L);
        orderSelectDto.setException(0);
        Page<OrderInfoVo> page = orderController.page(orderSelectDto);
        List<OrderInfoVo> records = page.getRecords();
        List<String> collect = records.stream().map(OrderInfo::getWlnCode).collect(Collectors.toList());

        List<String> list = Arrays.stream(a.split("\n"))
                .filter(item -> !collect.contains(item))
                .peek(System.out::println)
                .collect(Collectors.toList());

        List<String> collect1 = Arrays.stream(a.split("\n")).collect(Collectors.toList());

        for (String s : collect) {
            if (!collect1.contains(s)) {
                System.err.println(s);
            }
        }

        System.out.println(list);


    }


}
